newton magnum error:'error'

asked 2016-12-23 07:13:40 -0500

antinode gravatar image

updated 2016-12-23 07:15:17 -0500

I am trying to configure magnum on my newton setup. I have followed the offical openstack guide. When I run service magnum-list, I get error: 'errors'

/var/log/magnum/magnum-api.log gives me:

I've double and triple checked the keystone and endpoint stuff.

2016-12-23 12:54:44.948 14620 INFO magnum.cmd.api [-] Starting server in PID 14620
2016-12-23 12:54:44.951 14620 WARNING oslo_config.cfg [-] Option "rabbit_host" from group "oslo_messaging_rabbit" is deprecated for removal.  Its value may be silently ignored in the future.
2016-12-23 12:54:44.952 14620 WARNING oslo_config.cfg [-] Option "rabbit_password" from group "oslo_messaging_rabbit" is deprecated for removal.  Its value may be silently ignored in the future.
2016-12-23 12:54:44.953 14620 WARNING oslo_config.cfg [-] Option "rabbit_userid" from group "oslo_messaging_rabbit" is deprecated for removal.  Its value may be silently ignored in the future.
2016-12-23 12:54:44.958 14620 INFO magnum.cmd.api [-] Serving on http://10.0.0.11:9511
2016-12-23 12:54:44.959 14620 INFO werkzeug [-]  * Running on http://10.0.0.11:9511/ (Press CTRL+C to quit)
2016-12-23 12:55:16.468 14620 WARNING keystonemiddleware.auth_token [-] Using the in-process token cache is deprecated as of the 4.2.0 release and may be removed in the 5.0.0 release or the 'O' development cycle. The in-process cache causes inconsistent results and high memory usage. When the feat$
2016-12-23 12:55:16.561 14620 WARNING keystonemiddleware.auth_token [-] Identity response: {"error": {"message": "The request you have made requires authentication.", "code": 401, "title": "Unauthorized"}}
2016-12-23 12:55:16.638 14620 WARNING keystonemiddleware.auth_token [-] Identity response: {"error": {"message": "The request you have made requires authentication.", "code": 401, "title": "Unauthorized"}}
2016-12-23 12:55:16.639 14620 CRITICAL keystonemiddleware.auth_token [-] Unable to validate token: Identity server rejected authorization necessary to fetch token data
2016-12-23 12:55:16.640 14620 INFO werkzeug [-] 10.0.0.11 - - [23/Dec/2016 12:55:16] "GET /v1/mservices HTTP/1.1" 503 -

nano /var/log/magnum/magnum-conductor.log gives me:

2016-12-23 12:37:56.750 13806 ERROR magnum.service.periodic     raise errorclass(errno, errorvalue)
2016-12-23 12:37:56.750 13806 ERROR magnum.service.periodic ProgrammingError: (pymysql.err.ProgrammingError) (1146, u"Table 'magnum.cluster' doesn't exist") [SQL: u'SELECT cluster.created_at AS cluster_created_at, cluster.updated_at AS cluster_updated_at, cluster.id AS cluster_id, cluster.project_$
2016-12-23 12:37:56.750 13806 ERROR magnum.service.periodic
2016-12-23 12:38:40.282 14144 WARNING oslo_reports.guru_meditation_report [-] Guru meditation now registers SIGUSR1 and SIGUSR2 by default for backward compatibility. SIGUSR1 will no longer be registered in a future release, so please use SIGUSR2 to generate reports.
2016-12-23 12:38:40.282 14144 INFO magnum.cmd.conductor [-] Starting server in PID 14144
2016-12-23 12:38:40.285 14144 WARNING oslo_config.cfg [-] Option "rabbit_host" from group "oslo_messaging_rabbit" is deprecated for removal.  Its value may be silently ignored in the future.
2016-12-23 12:38:40.286 14144 WARNING oslo_config.cfg [-] Option "rabbit_password" from group "oslo_messaging_rabbit" is deprecated for removal.  Its value may be silently ignored ...
(more)
edit retag flag offensive close merge delete